import React from "react";

interface PickAndPlaceActionProps {
  clearPoints: () => void;
}

const PickAndPlaceAction: React.FC<PickAndPlaceActionProps> = ({
  clearPoints,
}) => {
  return (
    <div className="selected-actions-list">
      <div className="value-field-container">
        <div className="label">Reset</div>
        <button
          id="pick-and-place-action-clear-button"
          type="button"
          className="regularDropdown-container"
          onClick={() => {
            clearPoints();
          }}
        >
          Clear
        </button>
      </div>
    </div>
  );
};

export default PickAndPlaceAction;
