let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const deleteProject = async (
  projectId: string,
  userId: string,
  organization: string
) => {
  try {
    console.log("projectId", userId, organization, projectId);
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Projects/Archive/${projectId}`,
      {
        method: "PATCH",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
        body: JSON.stringify({ userId, organization }),
      }
    );
    console.log("response: ", response);
    if (!response.ok) {
      throw new Error("Failed to clearPanel in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to clean pannel");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
