let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
 
export const getAllProjects = async (userId: string, organization: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Projects`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch assets");
    }

    return await response.json();
  } catch (error: any) {
    echo.error("Failed to get asset image");
    throw new Error(error.message);
  }
};
