let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteLayer = async (organization: string, layer: number) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/deleteLayer`, {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({ organization, layer }),
    });

    if (!response.ok) {
      throw new Error("Failed to delete line");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to delete line");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
