interface CommentSchema {
    state: "active" | "inactive";
    commentId: string;
    creatorId: string;
    createdAt: string;
    comment: string;
    lastUpdatedAt: string;
    position: [number, number, number];
    rotation: [number, number, number];
    replies: Reply[];
}

interface Reply {
    replyId: string;
    creatorId: string;
    createdAt: string;
    lastUpdatedAt: string;
    reply: string;
}

type CommentsSchema = CommentSchema[];
