export interface User {
    name: string;
    email: string;
    profileImage: string;
    color: string;
    access: string;
}

type AccessOption = {
    option: string;
};

export type ActiveUser = {
  _id: string;
  userName: string;
  email: string;
  activeStatus?: string; // Optional property
  position?: { x: number; y: number; z: number; };
  rotation?: { x: number; y: number; z: number; };
  target?: { x: number; y: number; z: number; };
};