import React from 'react'
import Dropped3dWidgets from './widgets/3d/Dropped3dWidget'
import ZoneCentreTarget from './zone/zoneCameraTarget'
import ZoneAssets from './zone/zoneAssets'
import MqttEvents from '../../services/factoryBuilder/mqtt/mqttEvents'

const Visualization:React.FC = () => {
    return (
        <>

            <Dropped3dWidgets />

            <ZoneCentreTarget />

            <ZoneAssets />

            <MqttEvents />

            {/* <DrieHtmlTemp /> */}

        </>
    )
}

export default Visualization;