let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const recentlyViewed = async (organization: string, userId: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/RecentlyViewed`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch project");
    }

    return await response.json();
  } catch (error: any) {
    console.error("Failed to get project");
    throw new Error(error.message);
  }
};
